### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess

# Class StoredProcessServiceFactory

java.lang.Object
com.sas.services.AbstractServiceFactory
com.sas.services.storedprocess.StoredProcessServiceFactory

All Implemented Interfaces:
  `ServiceFactoryInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class StoredProcessServiceFactory extends AbstractServiceFactory
Factory used to manufacture a stored process service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `StoredProcessServiceInterface`

Since:
  1.0
See Also:
  - `ServiceFactoryInterface`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoredProcessServiceFactory()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final StoredProcessServiceInterface`
  `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Gets a Stored Process service initialized with the specified configuration.
  `final RemoteServiceInterface`
  `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Gets a Stored Process service initialized with the specified configuration.
  `final StoredProcessServiceInterface`
  `getStoredProcessService()`
  Obtain a service instance that is for standalone use of the Stored Process service.

  ### Methods inherited from class com.sas.services.AbstractServiceFactory

  `getService, getServiceProfile, isSingletonFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoredProcessServiceFactory

    public StoredProcessServiceFactory()
    Constructs a default instance.

- ## Method Details

  - ### getStoredProcessService

    public final StoredProcessServiceInterface getStoredProcessService()
    Obtain a service instance that is for standalone use of the Stored Process service.
    Returns:
      a standalone instance of the Stored Process service.

  - ### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Gets a Stored Process service initialized with the specified configuration.
    Specified by:
      `getService` in interface `ServiceFactoryInterface`
    Specified by:
      `getService` in class `AbstractServiceFactory`
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - Discovery service to which the service will be registered.
    Returns:
      A service that implements `StoredProcessServiceInterface`.
    Throws:
      `ServiceException` - if unable to get a Stored Process service.
    See Also:
      - `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

  - ### createService

    public static final StoredProcessServiceInterface createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Gets a Stored Process service initialized with the specified configuration.
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - Discovery service to which the service will be registered.
    Returns:
      A Stored Process Service.
    Throws:
      `ServiceException` - if unable to get a Stored Process service.